



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>linux下文件压缩与解压操作</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">linux下文件压缩与解压操作</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-12 18:07:05 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>对于刚刚接触Linux的人来说，一定会给Linux下一大堆各式各样的文件名给搞晕。别个不说，单单就压缩文件为例，我们知道在Windows下最常见的压缩文件就只有两种，一是,zip，另一个是.rap。可是Linux就不同了，它有.gz、.tar.gz、tgz、bz2、.Z、.tar等众多的压缩文件名，此外windows下的.zip和.rar也可以在Linux下使用，不过在Linux使用.zip和.rar的人就太少了。本文就来对这些常见的压缩文件进行一番小结，希望你下次遇到这些文件时不至于被搞晕。</p>
<p>　　在具体总结各类压缩文件之前呢，首先要弄清两个概念：打包和压缩。打包是指将一大堆文件或目录什么的变成一个总的文件，压缩则是将一个大的文件通过一些压缩算法变成一个小文件。为什么要区分这两个概念呢？其实这源于Linux中的很多压缩程序只能针对一个文件进行压缩，这样当你想要压缩一大堆文件时，你就得先借助另它的工具将这一大堆文件先打成一个包，然后再就原来的压缩程序进行压缩。</p>
<p>　　Linux下最常用的打包程序就是tar了，使用tar程序打出来的包我们常称为tar包，tar包文件的命令通常都是以.tar结尾的。生成tar包后，就可以用其它的程序来进行压缩了，所以首先就来讲讲tar命令的基本用法：</p>
<p>　　tar命令的选项有很多(用man tar可以查看到)，但常用的就那么几个选项，下面来举例说明一下：</p>
<p>　　# tar -cf all.tar *.jpg</p>
<p>　　这条命令是将所有.jpg的文件打成一个名为all.tar的包。-c是表示产生新的包，-f指定包的文件名。</p>
<p>　　# tar -rf all.tar *.gif</p>
<p>这条命令是将所有.gif的文件增加到all.tar的包里面去。-r是表示增加文件的意思。</p>
<p># tar -uf all.tar logo.gif</p>
<p>　　这条命令是更新原来tar包all.tar中logo.gif文件，-u是表示更新文件的意思。</p>
<p>　　# tar -tf all.tar</p>
<p>　　这条命令是列出all.tar包中所有文件，-t是列出文件的意思</p>
<p>　　# tar -xf all.tar</p>
<p>　　这条命令是解出all.tar包中所有文件，-x是解开的意思</p>
<p>　　以上就是tar的最基本的用法。为了方便用户在打包解包的同时可以压缩或解压文件，tar提供了一种特殊的功能。这就是tar可以在打包或解包的同时调用其它的压缩程序，比如调用gzip、bzip2等。</p>
<p>　　1) tar调用gzip</p>
<p>　　gzip是GNU组织开发的一个压缩程序，.gz结尾的文件就是gzip压缩的结果。与gzip相对的解压程序是gunzip。tar中使用-z这个参数来调用gzip。下面来举例说明一下：</p>
<p>　　# tar -czf all.tar.gz*.jpg</p>
<p>　　这条命令是将所有.jpg的文件打成一个tar包，并且将其用gzip压缩，生成一个gzip压缩过的包，包名为all.tar.gz</p>
<p>　　# tar -xzf all.tar.gz</p>
<p>　　这条命令是将上面产生的包解开。</p>
<p>　　2) tar调用bzip2</p>
<p>　　bzip2是一个压缩能力更强的压缩程序，.bz2结尾的文件就是bzip2压缩的结果。与bzip2相对的解压程序是bunzip2。tar中使用-j这个参数来调用gzip。下面来举例说明一下：</p>
<p>　　# tar -cjf all.tar.bz2*.jpg</p>
<p>　　这条命令是将所有.jpg的文件打成一个tar包，并且将其用bzip2压缩，生成一个bzip2压缩过的包，包名为all.tar.bz2</p>
<p>　　# tar -xjf all.tar.bz2</p>
<p>　　这条命令是将上面产生的包解开。</p>
<p>3)tar调用compress</p>
<p>　　compress也是一个压缩程序，但是好象使用compress的人不如gzip和bzip2的人多。.Z结尾的文件就是compress压缩的结果。与 compress相对的解压程序是uncompress。tar中使用-Z这个参数来调用gzip。下面来举例说明一下：</p>
<p>　　# tar -cZf all.tar.Z *.jpg</p>
<p>　　这条命令是将所有.jpg的文件打成一个tar包，并且将其用compress压缩，生成一个uncompress压缩过的包，包名为all.tar.Z</p>
<p>　　# tar -xZf all.tar.Z</p>
<p>　　这条命令是将上面产生的包解开</p>
<p>　　有了上面的知识，你应该可以解开多种压缩文件了，下面对于tar系列的压缩文件作一个小结：</p>
<p>　　1)对于.tar结尾的文件</p>
<p>　　tar -xf all.tar</p>
<p>　　2)对于.gz结尾的文件</p>
<p>　　gzip -d all.gz</p>
<p>　　gunzipall.gz</p>
<p>　　3)对于.tgz或.tar.gz结尾的文件</p>
<p>　　tar -xzf all.tar.gz</p>
<p>　　tar -xzfall.tgz</p>
<p>　　4)对于.bz2结尾的文件</p>
<p>　　bzip2 -d all.bz2</p>
<p>　　bunzip2all.bz2</p>
<p>　　5)对于tar.bz2结尾的文件</p>
<p>　　tar -xjf all.tar.bz2</p>
<p>　　6)对于.Z结尾的文件</p>
<p>　　uncompress all.Z</p>
<p>　　7)对于.tar.Z结尾的文件</p>
<p>　　tar -xZf all.tar.z</p>
<p>　　另外对于Window下的常见压缩文件.zip和.rar，Linux也有相应的方法来解压它们：</p>
<p>　　1)对于.zip</p>
<p>　　linux下提供了zip和unzip程序，zip是压缩程序，unzip是解压程序。它们的参数选项很多，这里只做简单介绍，依旧举例说明一下其用法：</p>
<p>　　# zip all.zip *.jpg</p>
<p>　　这条命令是将所有.jpg的文件压缩成一个zip包</p>
<p># unzip all.zip</p>
<p>　　这条命令是将all.zip中的所有文件解压出来</p>
<p>　　2)对于.rar</p>
<p>　　要在linux下处理.rar文件，需要安装RAR for Linux，可以从网上下载，但要记住，RAR for Linux</p>
<p>不是免费的；可从http://www.rarsoft.com/download.htm下载RAR for Linux 3.2.0，然后安装：</p>
<p>　　# tar -xzpvfrarlinux-3.2.0.tar.gz</p>
<p>　　# cd rar</p>
<p>　　# make</p>
<p>　　这样就安装好了，安装后就有了rar和unrar这两个程序，rar是压缩程序，unrar是解压程序。它们的参数选项很多，这里只做简单介绍，依旧举例说明一下其用法：</p>
<p>　　# rar a all *.jpg</p>
<p>　　这条命令是将所有.jpg的文件压缩成一个rar包，名为all.rar，该程序会将.rar 扩展名将自动附加到包名后。</p>
<p>　　# unrar e all.rar</p>
<p>　　这条命令是将all.rar中的所有文件解压出来</p>
<p>　　到此为至，我们已经介绍过linux下的tar、gzip、gunzip、bzip2、bunzip2、compress、uncompress、 zip、unzip、rar、unrar等程式，你应该已经能够使用它们对.tar、.gz、.tar.gz、.tgz、.bz2、.tar.bz2、. Z、.tar.Z、.zip、.rar这10种压缩文件进行解压了，以后应该不需要为下载了一个软件而不知道如何在Linux下解开而烦恼了。而且以上方法对于Unix也基本有效。</p>
<p>本文介绍了linux下的压缩程式tar、gzip、gunzip、bzip2、bunzip2、compress、uncompress、zip、 unzip、rar、unrar等程式，以及如何使用它们对.tar、.gz、.tar.gz、.tgz、.bz2、.tar.bz2、.Z、. tar.Z、.zip、.rar这10种压缩文件进行操作。</p>
<p>注：在nubuntu10.10下测试，对于.tar.gz文件，.tar.bz2文件，均可以使用 tar &ndash;xf filename来解压。如：</p>
<p>tar &ndash;xf all.tar.gz tar &ndash;xf all.tar.bz2</p>
<p>或者，可以使用a选项。如：</p>
<p>tar &ndash;xaf all.tar.gz tar &ndash;xaf all.tar.bz2</p>
<p>另外，无论是选项a还是z，还是j，Z，都要写到xf之间，写到后面就不对！伤不起吧</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/jqdd4r7q.html">自定义readonly属性的用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7ny0g9.html">Rhel6-csync配置文档</a>
		</li>
						<li><a href="https://www.batexi.com/a/49gznge8.html">SSH&plus;JPA查询两个数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zw4xv8.html">HTTP请求报文和HTTP响应报文&lpar;转&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmjdp69.html">计算机中如何表示数字-07IEEE754浮点数标准</a>
		</li>
						<li><a href="https://www.batexi.com/a/8oky3jl9.html">激活Windows 10</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjwx328.html">&lbrack;STM32F429-DISCO-HAL&rsqb;4&period;Uart 的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/93y3new8.html">poj 1742 多重背包</a>
		</li>
						<li><a href="https://www.batexi.com/a/93y6w708.html">物联网设备是如何被破解的？分析一种篡改IoT固件内容的攻击方式</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1nknoq.html">IIS、nginx、apache只允许域名访问配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mllpn8.html">小打卡PRD</a>
		</li>
						<li><a href="https://www.batexi.com/a/9geylo78.html">MO&lowbar;GLOBAL - EBS R12 中 Multi Org 设计的深入研究 &lpar;3&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgv3ye8.html">【C语言编程练习】5&period;10寻找水仙数</a>
		</li>
						<li><a href="https://www.batexi.com/a/90r734o9.html">C&num;中d的&quest;&quest;和&quest;</a>
		</li>
						<li><a href="https://www.batexi.com/a/93w33krq.html">剑指Offer 57&period; 二叉树的下一个结点 （二叉树）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zywkr19.html">java去除字符串的空格，换行符，水平制表符，回车</a>
		</li>
						<li><a href="https://www.batexi.com/a/960vgv49.html">学习js第一天小结</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jmpvkl9.html">HDU 1853</a>
		</li>
						<li><a href="https://www.batexi.com/a/953w5re8.html">日期处理相关 - &OpenCurlyDoubleQuote;Fri Dec 11 00&colon;00&colon;00 CST 2015&rdquo;日期格式解析</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zk3w238.html">&lpar;01&rpar;JVM-内存三大核心区域以及分析</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/1q2o4zo9.html">（转）google Java编程风格中文版</a>
			</li>
						<li><a href="https://www.batexi.com/a/39reex4q.html">std&colon;&colon;shared&lowbar;ptr</a>
			</li>
						<li><a href="https://www.batexi.com/a/m961jyv8.html">eq相等   ne、neq不相等，   gt大于， lt小于 gte、ge大于等于   lte、le 小于等于   not非   mod求模 等</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qx1wz09.html">VirtualBox下安装rhel5&period;5 linux系统</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8o7nrxq.html">android- FileProvider崩溃 - NPE试图调用一个空字符串XmlResourceParser&lpar;FileProvider crash - npe attempting to invoke XmlResourceParser on a null String&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/oqvxv018.html">C&num;中的volatile用法</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8o715lq.html">cocos基础教程&lpar;9&rpar;声音和音效</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq4xjde8.html">常用 C 头文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9pzpod8.html">xcode Git</a>
			</li>
						<li><a href="https://www.batexi.com/a/390odx39.html">hibernate&period;cfg&period;xml配置文件和hbm&period;xml配置文件 模板</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
